Skip to content
Start here

Delete a tenant structure

zero_trust.cws.tenant_structures.delete(strstructure_id, TenantStructureDeleteParams**kwargs) -> TenantStructureDeleteResponse
DELETE/accounts/{account_id}/cws/tenant-structures/{structure_id}

Deletes the tenant structure and all nodes in its hierarchy.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID (32-character hexadecimal string)

maxLength32
minLength32
structure_id: str

ID of the tenant structure to delete

formatuuid
ReturnsExpand Collapse
class TenantStructureDeleteResponse: …
id: str
formatuuid

Delete a tenant structure

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
tenant_structure = client.zero_trust.cws.tenant_structures.delete(
    structure_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
)
print(tenant_structure.id)
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}